/**
 * Clase que se encarga de buscar en una lista de strings una cadena de caracteres.
 * @author Nicolas Sans y Michael Vicencio
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;
import java.io.*;

public class Buscador {
    
    private String[] lista;
    private int[] encontrados;
    private int numEncontrados;
    private int k;
    private String[] nombre;
    /**
     * Constructor de la clase Buscador. busca la cadena s en el arreglo de strings st.
     * @param s Cadena de caracteres a buscar.
     * @param st Arreglo de Strings en la cual se ba a buscar s.
     */
    public Buscador (String s, String[] st){
        lista = new String[st.length];
        int j=0;
        int[] aux = new int[st.length];
        for (int i=0;i<st.length;i++){
            if (st[i].toLowerCase().contains(s.toLowerCase())) {
                aux[j]=i;
                j++;
            }
        
        }
        encontrados = new int[j];
        for (int i=0;i<j;i++) encontrados[i]=aux[i]; 
        numEncontrados =j;
        k=-1;
    }
 /**
  * Metodo que nos devuelve los indices donde se encontro la cadena de caracteres buscada.
  * @return Arreglo de enteros con los indices en los cuales se encontro lo buscado.
  */
    public int[] dameEncontrados(){
        return encontrados;
    }
}
