/**
 * Clase que extiene la clase {@link Ordenador Ordenador} implementando el algoritmo de ordenamiento BubbleSort.
 * @author Nicolas Sanz y Michael Vicencio
 */

public class BubbleSorter extends Ordenador {

    public int getNumComparaciones() {
        return numComparaciones;
    }
    public int getNumIntercambios() {
        return numIntercambios;
    }
/** Ordena una arreglo de objetos Comparable usando el algoritmo de ordenamiento BubbleSort.
* @param A Arreglo de objetos comparables.
*/  
    public void ordenar(Comparable[] A) {       
        boolean swapped = true;
        int n = A.length;
        numComparaciones = 0;
        numIntercambios = 0;
        while (swapped) { 
            n = n - 1;//revisar
            swapped = false;
            numComparaciones++;
            for(int i = 0; i < n; i++){
                if(A[i].compareTo(A[i+1]) > 0){
                    numIntercambios++;
                    Comparable aux = A[i];
                    A[i] = A[i+1];
                    A[i+1] = aux;
                    swapped = true;
                }
            }
        }
    }
    private int numIntercambios;
    private int numComparaciones;
}