/**
 * Super Clase Persona, de esta clase se extienden todos los timpos de personas, ej: {@link Estudiante Estudiantes}.
 * @author Nicolas Sanz y Michael Vicencio
 */
public abstract class Persona {
 protected Persona() {}
 /**
  * Constructor de la clase Persona
  * @param nombre Nombre de la persona
  */
  public Persona (String nombre) {
     this.nombre=nombre;
  }
  /**
   * Obtiene el nombre de la persona.
   * @return el nombre de la persona.
   */
  public String getName() {
     return nombre;
  }  
  private String nombre;
}